/**
 * GuideViewForm 部件模型
 *
 * @export
 * @class GuideViewFormModel
 */
export default class GuideViewFormModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof GuideViewFormModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'ibizbookid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'ibizbookname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'ibizbookname',
        prop: 'ibizbookname',
        dataType: 'TEXT',
      },
      {
        name: 'author',
        prop: 'author',
        dataType: 'TEXT',
      },
      {
        name: 'booknumber',
        prop: 'booknumber',
        dataType: 'INT',
      },
      {
        name: 'press',
        prop: 'press',
        dataType: 'TEXT',
      },
      {
        name: 'price',
        prop: 'price',
        dataType: 'FLOAT',
      },
      {
        name: 'borrowstatus',
        prop: 'borrowstatus',
        dataType: 'TRUEFALSE',
      },
      {
        name: 'ibizbookid',
        prop: 'ibizbookid',
        dataType: 'GUID',
      },
      {
        name: 'ibizbook',
        prop: 'ibizbookid',
        dataType: 'FONTKEY',
      },
    ]
  }

}